#!/bin/bash

yum update -y

# optional
yum install -y vim

# Install require packages for MovableType
yum install -y httpd php php-mysql mysql-server

# Copy config files
cp /vagrant/vagrant_resources/httpd.conf /etc/httpd/conf/httpd.conf
cp /vagrant/vagrant_resources/vhost-wordpress.conf /etc/httpd/conf.d/vhost-wordpress.conf
cp /vagrant/vagrant_resources/selinux_config /etc/selinux/config

# MySQL initialize
service mysqld restart
chkconfig mysqld on
MYSQL_ROOT_PASSWORD='vagrant'
MYSQL_WP_PASSWORD='wp_pass'
/usr/bin/mysqladmin -u root password "${MYSQL_ROOT_PASSWORD}"
/usr/bin/mysqladmin -u root -h localhost -p${MYSQL_ROOT_PASSWORD} password "${MYSQL_ROOT_PASSWORD}"
mysql -u root -p"${MYSQL_ROOT_PASSWORD}" -e ";CREATE DATABASE IF NOT EXISTS wordpress;GRANT ALL ON wordpress.* TO wp_user@localhost IDENTIFIED BY '${MYSQL_WP_PASSWORD}';GRANT ALL ON wordpress.* TO wp_user@'%' IDENTIFIED BY '${MYSQL_WP_PASSWORD}'"

# httpd initialize
service httpd graceful
chkconfig httpd on
echo 'complete provisioning!'
